#
# spec file for package NetworkManager-kde (Version 0.2r674918)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel NetworkManager NetworkManager-devel NetworkManager-glib PolicyKit aaa_base acl alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations dhcdbd dhcp dhcp-client diffutils fam fam-devel file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv iproute2 jack-devel kdelibs3 kdelibs3-arts kdelibs3-default-style kdelibs3-devel kdelibs3-doc less libacl libacl-devel libart_lgpl libart_lgpl-devel libasound2 libattr libattr-devel libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgcrypt-devel libglade2 libgomp42 libgpg-error libgpg-error-devel libidn libidn-devel libjack libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libnl libnl-devel libnscd libogg libogg-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nscd nss-mdns openldap2-client openssl openssl-certs pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt post-build-checks pwdutils python qt3 qt3-devel resmgr rpm sed setserial sgml-skel sqlite sudo sysconfig sysvinit tar texinfo timezone unsermake update-desktop-files util-linux wireless-tools wpa_supplicant xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           NetworkManager-kde
BuildRequires:  NetworkManager-devel dbus-1-devel dbus-1-qt3-devel hal-devel kdelibs3-devel libnl-devel
%define appname knetworkmanager
ExcludeArch:    s390 s390x
%define prefix /opt/kde3
%define sysconfdir /etc
License:        GPL v2 or later
Group:          System/GUI/KDE
AutoReqProv:    on
Version:        0.2r674918
Release:        55.2
Summary:        KNetworkManager application for use with NetworkManager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       NetworkManager
Provides:       NetworkManager-client
Source0:        %{appname}-%{version}.tar.bz2
Source1:        knetworkmanager.default.sh
Patch0:         knetworkmanager-kde-networkstatus-wstephenson-03.patch
Patch1:         knetworkmanager-fallback-thoenig-03.patch
Patch2:         fix-desktop-icon.diff
Patch3:         knetworkmanager-version-hschaa-01.patch
Patch4:         knetworkmanager-fixnetworksui-hschaa-01.patch
Patch6:         knetworkmanager-enablebutton-hschaa-01.patch
Patch7:         knetworkmanager-show_message-hschaa-01.patch
Patch8:         knetworkmanager-infodialog_tab-hschaa-01.patch
Patch9:         r703269.diff
Patch10:        r703272.diff
Patch11:        r703275.diff
Patch12:        r703276.diff
Patch13:        r703278.diff
Patch14:        r703279.diff
Patch15:        r703280.diff
Patch16:        r703282.diff
Patch17:        r690178.diff
Patch18:        knetworkmanager-dbus_race-hschaa-01.patch
Patch19:        knetworkmanager-fix_segfault-hschaa-01.patch
Patch20:        translation_update_hu.patch
Patch21:        knetworkmanager-fix_corrupted_tray-hschaa-01.patch
Patch22:        fix_dbus_conf.patch

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.



Authors:
--------
    Timo Hoenig <thoenig@suse.de>

%debug_package
%package devel
License:        GPL v2 or later
Summary:        KNetworkManager application for use with NetworkManager
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}-%{release}

%description devel
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

This subpackage contains headers for building plugins for
KNetworkManager.



Authors:
--------
    Timo Hoenig <thoenig@suse.de>

%package -n NetworkManager-openvpn-kde
License:        GPL v2 or later
Summary:        KNetworkManager application for use with NetworkManager
Group:          System/GUI/KDE
Provides:       NetworkManager-openvpn-frontend
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-openvpn

%description -n NetworkManager-openvpn-kde
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.



Authors:
--------
    Helmut Schaa <hschaa@suse.de>

%package -n NetworkManager-vpnc-kde
License:        GPL v2 or later
Summary:        KNetworkManager application for use with NetworkManager
Group:          System/GUI/KDE
Provides:       NetworkManager-vpnc-frontend
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-vpnc

%description -n NetworkManager-vpnc-kde
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.



Authors:
--------
    Helmut Schaa <hschaa@suse.de>

%prep
%setup -n %{appname}-%{version} -q
%patch1 -p0
%patch2
%patch0
%patch3
%patch4
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch17
%patch16
%patch18
%patch19
%patch20
%patch21
%patch22 -p2

%build
. /etc/opt/kde3/common_options
update_admin
./configure $configkde --with-distro=suse --with-openvpn --with-vpnc
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
# fix this mess...
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/autostart/
install -m 755 -D %{SOURCE1} $RPM_BUILD_ROOT/opt/kde3/env/knetworkmanager.default.sh
install %{appname}/src/%{appname}.desktop $RPM_BUILD_ROOT/opt/kde3/share/autostart/%{appname}-autostart.desktop
%suse_update_desktop_file -r %appname Utility TrayIcon System Applet
%find_lang %appname
kde_post_install

%post
%{run_ldconfig} 

%postun
%{run_ldconfig} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %appname.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
# disable for now (we have no documentation)
# %doc /opt/kde3/share/doc/HTML/en/%{appname}
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/%_lib/kde3/*
%exclude /opt/kde3/%_lib/kde3/*vpnc*
%exclude /opt/kde3/%_lib/kde3/*openvpn* 
%attr(0644,root,root) %{_sysconfdir}/dbus-1/system.d/%{appname}.conf
/opt/kde3/share/applications/kde/%{appname}.desktop
/opt/kde3/share/apps/%{appname}
/opt/kde3/share/autostart/%{appname}-autostart.desktop
/opt/kde3/share/config.kcfg/%{appname}.kcfg
/opt/kde3/share/icons/*/??x??/
/opt/kde3/env
/opt/kde3/share/servicetypes/%{appname}_plugin.desktop
/opt/kde3/share/servicetypes/%{appname}_vpnplugin.desktop

%files devel
%defattr(-,root,root)
/opt/kde3/include/%{appname}-plugin.h
/opt/kde3/include/%{appname}-vpnplugin.h

%files -n NetworkManager-openvpn-kde
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/%{appname}_openvpn.*
/opt/kde3/share/services/%{appname}_openvpn.desktop

%files -n NetworkManager-vpnc-kde
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/%{appname}_vpnc.*
/opt/kde3/share/services/%{appname}_vpnc.desktop

%changelog
* Wed Feb 25 2009 - hschaa@suse.de
- Add fix_dbus_conf.patch (bnc#479563, CVE-2009-0578)
* Fri Sep 07 2007 - hschaa@suse.de
- add patch knetworkmanager-fix_corrupted_tray-hschaa-01.patch
  (fixes b.n.c #264959)
* Tue Aug 28 2007 - hschaa@suse.de
- add patch knetworkmanager-fix_segfault-hschaa-01.patch
  (fixes b.n.c #304705)
- add patch knetworkmanager-dbus_race-hschaa-01.patch
  (fixes b.n.c #304956)
- add translation_update_hu.patch
* Wed Aug 22 2007 - dmueller@suse.de
- fix various memory corruptions, memory leaks and other bugs
* Thu Aug 09 2007 - hschaa@suse.de
- add patch knetworkmanager-show_message-hschaa-01.patch
  (fixes b.n.c #264176)
- add patch knetworkmanager-infodialog_tab-hschaa-01.patch
  (fixes b.n.c #295593)
* Wed Aug 08 2007 - hschaa@suse.de
- add patch knetworkmanager-enablebutton-hschaa-01.patch
  (fixes b.n.c #277720)
* Mon Aug 06 2007 - hschaa@suse.de
- add patch knetworkmanager-fixbuild_u64-hschaa-01.patch
  (fixes build on i386)
- update knetworkmanager.default.sh to respect KDEHOME
  (fixes b.n.c #290292)
* Fri Aug 03 2007 - hschaa@suse.de
- add patch knetworkmanager-fixnetworksui-hschaa-01.patch
  (fixes b.n.c #293449)
* Mon Jul 02 2007 - hschaa@suse.de
- add patch knetworkmanager-version-hschaa-01.patch which
  fixes broken autoconnecting on kde start
* Wed Jun 20 2007 - hschaa@suse.de
- update to 0.2r674918 (fixes b.n.c #206641, #182202, #199164, #260440)
- remove patches knetworkmanager-vpnc_pwds-hschaa-01.patch,
  knetworkmanager-newnetwork_crash-hschaa-01.patch,
  knetworkmanager-wpaeap_storage-hschaa-01.patch:
  commited upstream
* Wed Jun 06 2007 - hschaa@suse.de
- add patch knetworkmanager-vpnc_pwds-hschaa-01.patch
  (fixes b.n.c #281343)
* Fri Jun 01 2007 - coolo@suse.de
- move kde_post_install
* Thu May 24 2007 - wstephenson@suse.de
- Revised offline mode infrastructure (#237274)
* Mon May 07 2007 - hschaa@suse.de
- add patch knetworkmanager-newnetwork_crash-hschaa-01.patch
  (fixes b.n.c #269253)
* Wed Apr 11 2007 - hschaa@suse.de
- Use the right source file (instead of the wrong one which was
  checked in on Apr 4)
* Wed Apr 04 2007 - hschaa@suse.de
- add patch knetworkmanager-wpaeap_storage-hschaa-01.patch
  (fixes b.n.c #253413 and #253414)
* Mon Mar 26 2007 - hschaa@suse.de
- update to KDE SVN r646731 (fixes b.n.c #230683, #254352)
* Fri Mar 09 2007 - stbinner@suse.de
- fix build (new icon location check)
* Mon Feb 12 2007 - hschaa@suse.de
- Branch off new subpackages NetworkManager-kde-openvpn and
  NetworkManager-kde-vpnc to avoid gnome dependencies brought in
  through NetworkManager-gnome (b.n.c #198529).
* Thu Feb 08 2007 - hschaa@suse.de
- new subpackage NetworkManager-kde-devel contains headers for
  building plugins for KNetworkManager
* Wed Feb 07 2007 - hschaa@suse.de
- update to KDE SVN r631225
* Tue Nov 21 2006 - thoenig@suse.de
- remove patches knetworkmanager-notify-hschaa-01.patch (b.n.c
  [#159061]), knetworkmanager-vpnoverlay-hschaa-01.patch (b.n.c
  [#159061]) and knetworkmanager-vpn-utf8-suport-hschaa-01.patch
  (b.n.c #222918):  Comitted upstream.
- update to KDE SVN r606753:
* Tue Nov 21 2006 - hschaa@suse.de
- add patch knetworkmanager-vpn-utf8-suport-hschaa-01.patch:
  Support utf8 encoding in VPN name, service etc.
  (b.n.c #222918)
- add patch knetworkmanager-vpnoverlay-hschaa-01.patch:
  Show a symbol in the system tray when a VPN connection is
  established (b.n.c #159061)
* Fri Nov 17 2006 - thoenig@suse.de
- add patch knetworkmanager-notify-hschaa-01.patch:  Show warning
  if VPN connection attempt failed (b.n.c #159061)
- beautify connection dialog when manually connecting to a network
* Mon Nov 06 2006 - thoenig@suse.de
- update to KDE SVN r602671
- do not spawn warnings in libnm-util (b.n.c 216083)
- remove patch knetworkmanager-dialup-yast-thoenig-01.patch: Fix is
  now upstream
* Wed Nov 01 2006 - thoenig@suse.de
- add patch knetworkmanager-dialup-yast-thoenig-01.patch: Feed
  KProcess properly to call YaST for dial-up configuration (b.n.c
  [#216835])
* Fri Oct 27 2006 - thoenig@suse.de
- update patch knetworkmanager-fallback-thoenig-02.patch: Fix
  storage of networks with 'fallback' flag.
* Mon Oct 23 2006 - thoenig@suse.de
- add patch knetworkmanager-fallback-thoenig-01.patch: The flag
  'trusted' is gone (NetworkManager API change).  Remove the
  corresponding bits and replace with the 'fallback' flag.  If this
  flag is set for a wireless network, NetworkManager will also try
  to connect to that network even if it has not been found by
  scanning (helps when using broken wireless drivers)
* Mon Sep 25 2006 - thoenig@suse.de
- update to KDE SVN r588481
- open KWallet only when connecting to an encrypted network (b.n.c
  [#204809])
- ignore signal from NetworkManager if its state did not change
  (b.n.c #165275)
- move SuSE specific code to a separate patch
  (knetworkmanager-kde-networkstatus-wstephenson-01.patch)
- persist settings for "Offline Mode" and "Disable Wireless"
- avoid flickering of the tray icon
- remove absolute path to g-k-d
- this version will be released as online update for SL10.1,
  SLED10 and SLES10.
* Wed Jun 14 2006 - dmueller@suse.de
- build parallel
* Mon Jun 12 2006 - thoenig@suse.de
- update to KDE SVN r550737
- show status of dial-up connection in system tray (b.n.c #183974)
* Tue May 30 2006 - thoenig@suse.de
- update to KDE SVN r546497
- draw icons with correct width (b.n.c #146224)
- show special icon for ad-hoc networks to allow users to
  distinguish such from managed networks (b.n.c #176589)
- update translations
* Tue May 09 2006 - thoenig@suse.de
- update to KDE SVN r538644
- disable notifications by default (b.n.c #167980)
* Thu Apr 27 2006 - thoenig@suse.de
- Update to KDE SVN r534534
- Use setter functions when restoring wireless networks from
  storage (b.n.c #166913)
* Wed Apr 26 2006 - dmueller@suse.de
- adding br,da,ga translations from KDE SVN (#169778)
* Tue Apr 25 2006 - thoenig@suse.de
- Update to KDE SVN r533636
- Update artwork with icons from Jimmac <jimmac@ximian.com>, remove
  unused icon (b.n.c #146224)
- Add item "Configure Notifications" to the options menu (b.n.c
  [#166970]).  Patch by Michael Biebl <biebl@teco.edu>.
- Remove $(shelldesktop_DATA) from EXTRA_DIST to provide
  compatiblity with automake < 1.9.  Patch by Michael Biebl
  <biebl@teco.edu>.
* Mon Apr 24 2006 - wstephenson@suse.de
- Fix #165907 by informing kded from knetworkmanager
- Update to KDE SVN r533312
* Fri Apr 07 2006 - wstephenson@suse.de
- Update to KDE SVN r527269
- fix wrong signal strength, spurious disconnect notifications.
* Wed Mar 29 2006 - thoenig@suse.de
- update to SVN r5964
- add "Provides: NetworkManager-client" to spec file (b.n.c.
  [#158326])
- refuse to check context menu entries if we're not connected to a
  network (b.n.c. #161245)
- update meta data
* Mon Mar 27 2006 - thoenig@suse.de
- update to SVN r5961
- don't crash on exit if VPN module is active
- fix format for bandwidth and frequency (b.n.c #160624), show
  bandwidth for wired devices
- update translations
* Sun Mar 26 2006 - thoenig@suse.de
- update to SVN r5956
- don't crash on connection attempts to broadcasting WPA Personal
  networks
- fix several memory leaks
- proper check for D-BUS/Qt3 bindings
* Thu Mar 23 2006 - thoenig@suse.de
- update to SVN r5932
- fix compile warnings
- fix connection to WPA encrypted networks: do not show GUI elements
  for WEP (b.n.c #153243)
- knotify support
* Wed Mar 22 2006 - thoenig@suse.de
- update to SVN r5923
- don't crash if HAL can not provide requested information
  (b.n.c #159502)
- tray icon: smoother connection animation
- nminfo: correct reporting of trusted networks to NM
- support for removing networks from storage via "Show Networks"
  dialog
* Sun Mar 19 2006 - thoenig@suse.de
- update to SVN r5909
- WPA Enterprise: do not crash if we don't get secrets from the
  wallet (b.n.c #159402)
- VPN: initialize keyring manager if it is not yet running
  (b.n.c #156366)
- initialize members with default values (b.n.c #159502)
- fix encoding for ESSIDs (use UTF-8)
- minor UI fixes
* Tue Mar 14 2006 - thoenig@suse.de
- update to SVN r5879
- add support for WPA Enterprise networks in acquire passphrase
  dialog
* Tue Mar 14 2006 - thoenig@suse.de
- update to SVN r5876
- fix UI file to enable line edit of acquire passphrase dialog for
  networks with WEP encryption
- don't crash when restoring WPA Enterprise networks
* Mon Mar 13 2006 - thoenig@suse.de
- update to SVN r5872
- WPA Enterprise support: store known networks and the
  corresponding secrets (feature 100140)
- add dialogs: "About" and "Report a Bug"
* Sun Mar 12 2006 - thoenig@suse.de
- update to SVN r5842
- VPN support completed (see #156366)
- WPA Enterptise Support (feature 100140)
- fixes in the acquire passphrase code
* Mon Mar 06 2006 - thoenig@suse.de
- land preliminary VPN support (fate 5365, 100033).
* Sat Mar 04 2006 - thoenig@suse.de
- update to SVN r5779
- tray icon: show correct signal strength (#141029)
- NM API change: add _speed, {set,get}Speed () for class Device
  (#153673)
- prevent crash when NM goes down while a connection is in progress
- prevent crash when connecting to broadcasting WPA networks
- prepare VPN support
* Tue Feb 28 2006 - thoenig@suse.de
- updated to SVN r5761
- reconnect to D-BUS system bus (#150042)
- merge NM changes: define NM_AUTH_CIPHER_AUTO was renamed to
  NM_AUTH_TYPE_WPA_PSK_AUTO
* Thu Feb 16 2006 - thoenig@suse.de
- updated to SVN r5748
- fixed manual activation of networks:  do not ask the user for a
  password if there is one stored for the corresponding network in
  the wallet
* Mon Feb 13 2006 - thoenig@suse.de
- updated to SVN r4740
- fixed challange for connections to WPA/WPA2 encrypted networks
  (closes #150243)
- updated translations
* Mon Feb 06 2006 - thoenig@suse.de
- updated to SVN r5717
- NM API change: networks have a flag indicating whether they are
  broadcasting; updated tooltips to export this flag to the GUI
- introducing translations
* Sat Feb 04 2006 - stbinner@suse.de
- fix build for 64bit architectures
* Thu Feb 02 2006 - thoenig@suse.de
- updated to SVN r5669
- fixed tab order in wireless dialogs (closes #65568)
- WPA/WPA2: automatic detection of WPA protocol to be used by
  wpa_supplicant (see #144624)
- merged patch for kdeinit from Lubos Lunak <l.lunak@suse.cz> and
  updated spec file accordingly
- removed "connection in progress" notification from context
  menu
- verbose tooltips while connecting to a device or wireless
  network
- removed most annoying debug output
- minor fixes, cleanups
* Tue Jan 31 2006 - coolo@suse.de
- check sysconfig for autostart - and fix file list
* Sun Jan 29 2006 - aj@suse.de
- Require dbus-1-qt3-devel for build.
* Fri Jan 27 2006 - wstephenson@suse.de
- Add system tray animations
- Update to SVN r5622
* Wed Jan 25 2006 - thoenig@suse.de
- updated to SVN r5604
- storage module now should work as expected (we'll accept bugs
  against it)
- fixes and cleanups
* Tue Jan 24 2006 - thoenig@suse.de
- introducing storage module to store network information and
  passphrases of encrypted networks
- enhanced tooltips
- fixes and cleanups in many places
* Mon Jan 23 2006 - thoenig@suse.de
- updated to SVN r5567
- only show valid options for password challenge wrt the network
  we're about to join
- fixed crash if user cancels password challange
- prepare NMI interface to announce stored networks to NM
* Fri Jan 20 2006 - thoenig@suse.de
- updated to SVN r5561
- password challange for public networks with encryption should no
  longer let KNM die
- minor fixes, cleanups
* Tue Jan 17 2006 - thoenig@suse.de
- merged patch for D-BUS API change with SVN
- minor fixes
* Tue Jan 17 2006 - thoenig@suse.de
- fixed dependency to libnm-util
- added autostart for KDE
* Mon Jan 16 2006 - thoenig@suse.de
- updated to HEAD
- redesign for wireless networking due to NetworkManager changes
- added WPA support
- re-enabled and enahnced online/offline mode support
- minor fixes, cleanups
* Sun Jan 08 2006 - thoenig@suse.de
- added dial-up support (analog modem and ISDN)
- trimmed code to honor NetworkManager API changes
- minor tweaks and fixes
- NOTE: interim release, wireless network support is broken
* Tue Dec 20 2005 - ro@suse.de
- fix build with dbus-1 0.60
* Mon Dec 19 2005 - dmueller@suse.de
- use dbus-1-qt3
* Tue Dec 13 2005 - thoenig@suse.de
- added knetworkmanager.desktop to autostart folder of KDE
* Mon Dec 12 2005 - thoenig@suse.de
- initial check-in
