kdehome=$HOME/.kde
test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^~/,$HOME/,"`

knetworkmanager_autostart=
if test ! -f $kdehome/share/config/knetworkmanagerrc; then
    knetworkmanager_autostart=$(. /etc/sysconfig/network/config && echo "$NETWORKMANAGER")
elif test $kdehome/share/config/knetworkmanagerrc -ot  /etc/sysconfig/network/config; then
    knetworkmanager_autostart=$(. /etc/sysconfig/network/config && echo "$NETWORKMANAGER")
fi

# kconfig will merge it in case we overwrite another setting
if test -n "$knetworkmanager_autostart"; then
    echo "[General]" >> $kdehome/share/config/knetworkmanagerrc
    echo "Autostart=$knetworkmanager_autostart" >> $kdehome/share/config/knetworkmanagerrc
fi
